<?php

namespace Intergo\UserCallbackClient\CacheManagers;

class UserCallbackCountManager extends AbstractRedisManager
{
    /**
     * @param $userId
     * @return string
     */
    public function key($userId)
    {
        return "User:$userId:callbacks_count";
    }

    /**
     * @param $userId
     * @return mixed
     */
    public function get($userId)
    {
        return $this->cacheConnection()->get($this->key($userId));
    }

    /**
     * @param $userId
     * @return int
     */
    public function increment($userId)
    {
        return $this->cacheConnection()->incr($this->key($userId), 1);
    }

    /**
     * @param $userId
     * @return void
     */
    public function reduce($userId)
    {
        $this->cacheConnection()->incr($this->key($userId), -1);
    }
}
